Bug 69636 - [new port] biology/blast
[new port] biology/blast
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-26 23:50 UTC by fernan
Modified: 2004-11-11 21:36 UTC (History)
1 user (show)

See Also:


Attachments
blast.shar (11.74 KB, application/x-shar)
2004-07-27 13:08 UTC, fernan
no flags Details
blast.shar (11.33 KB, text/plain; charset=us-ascii)
2004-07-27 16:24 UTC, fernan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fernan 2004-07-26 23:50:18 UTC
	
	This is in essence a continuation of PR 68238
	(http://www.freebsd.org/cgi/query-pr.cgi?pr=68238)
	which was closed due to a misunderstanding (I forgot to CC gnats
	when sending the modified port, which then got lost who knows
	where).
	
	Please review and commit this new submission.
Comment 1 fernan 2004-07-27 13:08:03 UTC
+----[ <FreeBSD-gnats-submit@FreeBSD.org> (26.Jul.2004 19:58):
|
| Thank you very much for your problem report.
| It has the internal identification `ports/69636'.
| The individual assigned to look at your
| report is: freebsd-ports-bugs. 
| 
| You can access the state of your problem report at any time
| via this link:
| 
| http://www.freebsd.org/cgi/query-pr.cgi?pr=69636
| 
| >Category:       ports
| >Responsible:    freebsd-ports-bugs
| >Synopsis:       [new port] biology/blast
| >Arrival-Date:   Mon Jul 26 22:50:18 GMT 2004
|
+----]

Here's the patch. 

Fernan

-- 
Fernan Aguero -  fernan at iib.unsam.edu.ar
Phone: +54 11 4580-7255/7 ext 310, Fax: +54 11 4752-9639
Check http://genoma.unsam.edu.ar/~fernan for more info.
Comment 2 vs freebsd_committer 2004-07-27 14:01:49 UTC
I) Please use 'portlint':
blast@menelaos [14:32:09]> portlint -A
WARN: /usr/tmp/FreeBSD/blast/pkg-plist [21]: consider using DOCSDIR macro
WARN: /usr/tmp/FreeBSD/blast/pkg-plist [22]: consider using DOCSDIR macro
WARN: /usr/tmp/FreeBSD/blast/pkg-plist [23]: consider using DOCSDIR macro
WARN: /usr/tmp/FreeBSD/blast/pkg-plist [24]: consider using DOCSDIR macro
WARN: /usr/tmp/FreeBSD/blast/pkg-plist [25]: consider using DOCSDIR macro
WARN: /usr/tmp/FreeBSD/blast/pkg-plist [26]: consider using DOCSDIR macro
WARN: /usr/tmp/FreeBSD/blast/pkg-plist [27]: consider using DOCSDIR macro
WARN: /usr/tmp/FreeBSD/blast/pkg-plist: Both ``%%PORTDOCS%%@dirrm  
%%DOCSDIR%%'' and ``%%PORTDOCS%%@unexec %D/%%DOCSDIR%% 2>/dev/null ||  
true'' are missing.  At least one should be used.

^^^^ These indeed look like packing errors. See
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-documentation.html
Additionally to PORTDOCS, you might also want to use DATADIR.

WARN: Makefile: "DISTNAME" has to appear earlier.
WARN: Makefile: "RESTRICTED" found. do not forget to update ports/LEGAL.

OK.

WARN: /usr/tmp/FreeBSD/blast/pkg-message: possible use of absolute  
pathname "/usr/tmp/share/blast".
WARN: /usr/tmp/FreeBSD/blast/pkg-message: possible use of absolute  
pathname "/etc".
WARN: /usr/tmp/FreeBSD/blast/pkg-message: possible use of absolute  
pathname "/usr/tmp/share/blast...".

This is because your pkg-message-handling is faulty, please see e.g.  
net/xpvm on how to replace a
string in your pkg-message.

0 fatal errors and 13 warnings found.

II) In do-install:
${CHMOD} a-r ${PREFIX}/bin/blasta -- does this make sense?

You can't CHOWN a symlink.

III) There's already x11/blast -- in the case that there'll ever be a  
binary package, you have use LATEST_LINK to avoid a conflict.

IV) Naming: "blast" is pretty generic -- hwo about "wu-blast" instead?

V) Improvements
Half of the files in the plist are already in the Makefile. You could use  
PORTDOCS/PLIST_FILES to reduce a bit the redundancy

Cheers, Volker
Comment 3 vs freebsd_committer 2004-07-27 14:02:25 UTC
State Changed
From-To: open->feedback

Suggest improvements.
Comment 4 fernan 2004-07-27 16:24:41 UTC
+----[ Volker Stolz <vs@freebsd.org> (27.Jul.2004 10:05):
|
| Synopsis: [new port] biology/blast
| 
| State-Changed-From-To: open->feedback
| State-Changed-By: vs
| State-Changed-When: Tue Jul 27 13:02:25 GMT 2004
| State-Changed-Why: 
| Suggest improvements.
| 
| http://www.freebsd.org/cgi/query-pr.cgi?pr=69636
|
+----]

Here is the port, corrected.

Thanks for the suggestions!

Fernan

-- 
Fernan Aguero -  fernan at iib.unsam.edu.ar
Phone: +54 11 4580-7255/7 ext 310, Fax: +54 11 4752-9639
Check http://genoma.unsam.edu.ar/~fernan for more info.
Comment 5 pav freebsd_committer 2004-07-28 19:29:34 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 pav freebsd_committer 2004-11-11 21:35:50 UTC
State Changed
From-To: open->closed

New port added, thank you!